[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TSetEditEvent

Specifies an event handler used to set the value for edit text in a grid.

## Declaration

Source position: grids.pas line 1391

`type TSetEditEvent = procedure(`
`Sender: TObject;`
`ACol: Integer;`
`ARow: Integer;`
`const Value: string`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`ACol` |  | Column number for the notification.
`ARow` |  | Row number for the notification.
`Value` |  | Value applied to the specified cell in the event handler.

## Description

TSetEditEvent is an object procedure type used to implement event handlers which set the edit value for a cell in a grid control. TSetEditEvent is the type used for the OnSetEditText property in TCustomDrawGrid.

## See also

TCustomDrawGrid.OnSetEditText |  | Event handler signalled when the text in the cell Editor is assigned.